Index: /trunk/lib/ImageThumb.inc.php
===================================================================
--- /trunk/lib/ImageThumb.inc.php	(revision 467)
+++ /trunk/lib/ImageThumb.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -41,7 +41,7 @@
 
 class ImageThumb {
-    
+
     // General object parameters.
-    var $_params = array(
+    private $_params = array(
         // The location for images to create thumbnails from.
         'source_dir' => null,
@@ -58,5 +58,5 @@
         // Require file to have one of the following file name extensions.
         'valid_file_extensions' => array('jpg', 'jpeg', 'gif', 'png'),
-        
+
         // Method to use for resizing. (IMAGETHUMB_METHOD_NETPBM or IMAGETHUMB_METHOD_GD)
         'resize_method' => IMAGETHUMB_METHOD_NETPBM,
@@ -70,11 +70,11 @@
         'display_messages' => MSG_ALL,
     );
-    
+
     // Default image size specs.
-    var $_default_image_specs = array(
-        // The destination for an image thumbnail size. 
+    private $_default_image_specs = array(
+        // The destination for an image thumbnail size.
         // Use initial / to specify absolute paths, leave off to specify a path relative to source_dir (eg: ../thumbs).
         'dest_dir' => null,
-        
+
         // Destination file types. (IMG_JPG, IMG_PNG, IMG_GIF, IMG_WBMP)
         'dest_file_type' => IMG_JPG,
@@ -82,5 +82,5 @@
         // Destination file types. ('jpg', 'png', 'gif', 'wbmp')
         'dest_file_extension' => 'jpg',
-        
+
         // Type of scaling to perform, and sizes used to calculate max dimensions.
         'scaling_type' => IMAGETHUMB_FIT_LARGER,
@@ -96,5 +96,5 @@
         // If using GD method, apply sharpen filter. Requires PHP > 5.1.
         'sharpen' => true,
-        
+
         // Integers between 1-100, useful values are 65-85.
         'sharpen_value' => 75,
@@ -108,5 +108,5 @@
 
     // Final specifications for image sizes, set with setSpec().
-    var $_image_specs = array();
+    private $_image_specs = array();
 
     /**
@@ -116,5 +116,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -160,8 +160,8 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
-    {
-		$app =& App::getInstance();
-    
+    public function getParam($param)
+    {
+		$app =& App::getInstance();
+
         if (isset($this->_params[$param])) {
             return $this->_params[$param];
@@ -180,5 +180,5 @@
      *                          Use to overwrite existing spec array values.
      */
-    function setSpec($spec, $index=null)
+    public function setSpec($spec, $index=null)
     {
 		$app =& App::getInstance();
@@ -188,5 +188,5 @@
             $app->logMsg('setSpec error: dest_dir not specified.', LOG_ERR, __FILE__, __LINE__);
         } else {
-            $spec['dest_dir'] = trim($spec['dest_dir']);            
+            $spec['dest_dir'] = trim($spec['dest_dir']);
         }
         if (isset($spec['dest_file_type'])) {
@@ -233,5 +233,5 @@
             $app->logMsg('The "progressive" specification is not used unless IMG_JPG is the dest_file_type.', LOG_INFO, __FILE__, __LINE__);
         }
-        
+
         // Add to _image_specs array.
         if (isset($index) && isset($this->_image_specs[$index])) {
@@ -241,11 +241,11 @@
         } else {
             // Merge with spec defaults.
-            $final_spec = array_merge($this->_default_image_specs, $spec);            
+            $final_spec = array_merge($this->_default_image_specs, $spec);
             $this->_image_specs[] = $final_spec;
         }
-        
+
         return $final_spec;
     }
-    
+
     /*
     * Retrieve a value of a thumb specification.
@@ -259,5 +259,5 @@
     * @since    08 May 2007 15:26:39
     */
-    function getSpec($key, $index=null)
+    public function getSpec($key, $index=null)
     {
         $index = isset($index) ? $index : 0;
@@ -271,5 +271,5 @@
      * @return  bool true on success, false on failure.
      */
-    function processAll($runtime_specs=null)
+    public function processAll($runtime_specs=null)
     {
 		$app =& App::getInstance();
@@ -313,5 +313,5 @@
      * @return  bool true on success, false on failure.
      */
-    function processFile($file_name, $runtime_specs=null)
+    public function processFile($file_name, $runtime_specs=null)
     {
 		$app =& App::getInstance();
@@ -319,5 +319,5 @@
         // Source file determined by provided file_name.
         $source_file = realpath(sprintf('%s/%s', $this->getParam('source_dir'), $file_name));
-        
+
         // Ensure we have a source.
         if (sizeof($this->_image_specs) < 1) {
@@ -326,5 +326,5 @@
             } else {
                 $app->logMsg(sprintf('Image specifications not set before processing.'), LOG_ERR, __FILE__, __LINE__);
-                return false;                
+                return false;
             }
         }
@@ -369,5 +369,5 @@
             return false;
         }
-        
+
         // To keep this script running even if user tries to stop browser.
         ignore_user_abort(true);
@@ -379,10 +379,10 @@
 
         foreach ($this->_image_specs as $index => $spec) {
-            
+
             if (is_array($runtime_specs)) {
                 // Override with runtime specs.
                 $spec = $this->setSpec($runtime_specs, $index);
             }
-            
+
             // Destination filename uses the extension defined by dest_file_extension.
             if ('/' == $spec['dest_dir']{0}) {
@@ -393,5 +393,5 @@
                 $dest_file = sprintf('%s/%s/%s.%s', $this->getParam('source_dir'), $spec['dest_dir'], mb_substr($file_name, 0, mb_strrpos($file_name, '.')), $spec['dest_file_extension']);
             }
-                 
+
             // Ensure destination directory exists and is writable.
             if (!is_dir(dirname($dest_file)) || !is_writable(dirname($dest_file))) {
@@ -438,5 +438,5 @@
         return 0 === $return_val;
     }
-    
+
     /*
     * Use the Netpbm and libjpg cjpeg tools to generate a rescaled compressed image.
@@ -452,5 +452,5 @@
     * @since    19 May 2006 13:55:46
     */
-    function _resizeWithNetpbm($source_file, $dest_file, $spec)
+    private function _resizeWithNetpbm($source_file, $dest_file, $spec)
     {
 		$app =& App::getInstance();
@@ -491,5 +491,5 @@
         );
         $app->logMsg(sprintf('ImageThumb Netpbm command: %s', $command), LOG_DEBUG, __FILE__, __LINE__);
-        
+
         // Execute!
         exec($command, $output, $return_val);
@@ -521,5 +521,5 @@
     * @since    19 May 2006 15:46:02
     */
-    function _resizeWithGD($source_file, $dest_file, $spec)
+    private function _resizeWithGD($source_file, $dest_file, $spec)
     {
 		$app =& App::getInstance();
@@ -593,5 +593,5 @@
             return 1;
         }
-        
+
         // Create destination image data in memory.
         $dest_image_resource = imagecreatetruecolor($dest_image_width, $dest_image_height);
@@ -605,9 +605,9 @@
             return 1;
         }
-        
+
         // Sharpen image using a custom filter matrix.
         if (phpversion() > '5.1' && true === $spec['sharpen'] && $spec['sharpen_value'] > 0) {
-            $sharpen_value = round((((48 - 10) / (100 - 1)) * (100 - $spec['sharpen_value'])) + 10); /// WTF is this math?
-            imageconvolution($dest_image_resource, array(array(-1,-1,-1),array(-1,$sharpen_value,-1),array(-1,-1,-1)), ($sharpen_value - 8), 0);
+            $sharpen_value = round((((48 - 10) / (100 - 1)) * (100 - $spec['sharpen_value'])) + 10); // TODO: WTF is this math?
+            imageconvolution($dest_image_resource, array(array(-1, -1, -1), array(-1, $sharpen_value, -1),array(-1, -1, -1)), ($sharpen_value - 8), 0);
         }
 
@@ -662,5 +662,5 @@
      * @return  bool true on success, false on failure.
      */
-    function deleteThumbs($file_name, $use_glob=false)
+    public function deleteThumbs($file_name, $use_glob=false)
     {
 		$app =& App::getInstance();
@@ -677,9 +677,9 @@
             $dest_dir = '/' == $spec['dest_dir']{0} ? $spec['dest_dir'] : sprintf('%s/%s', $this->getParam('source_dir'), $spec['dest_dir']);
             if ($use_glob) {
-                $dest_file = realpath(sprintf('%s/%s', $dest_dir, $this->_glob($file_name, $dest_dir)));                
+                $dest_file = realpath(sprintf('%s/%s', $dest_dir, $this->_glob($file_name, $dest_dir)));
             } else {
                 $dest_file = realpath(sprintf('%s/%s.%s', $dest_dir, mb_substr($file_name, 0, mb_strrpos($file_name, '.')), $spec['dest_file_extension']));
-            }            
-            
+            }
+
             if (file_exists($dest_file)) {
                 if (!unlink($dest_file)) {
@@ -700,5 +700,5 @@
      * @return  bool true on success, false on failure.
      */
-    function deleteOriginal($file_name)
+    public function deleteOriginal($file_name)
     {
 		$app =& App::getInstance();
@@ -733,5 +733,5 @@
      * @return  bool true on success, false on failure.
      */
-    function exists($file_name)
+    public function exists($file_name)
     {
 		$app =& App::getInstance();
@@ -754,8 +754,8 @@
      * @return  bool    True on success, false on failure.
      */
-    function _validFileExtension($file_name)
+    private function _validFileExtension($file_name)
     {
         preg_match('/.*?\.(\w+)$/i', $file_name, $ext);
-        return !empty($ext) && in_array(mb_strtolower($ext[1]), $this->getParam('valid_file_extensions'));        
+        return !empty($ext) && in_array(mb_strtolower($ext[1]), $this->getParam('valid_file_extensions'));
     }
 
@@ -766,5 +766,5 @@
      * @return  bool true on success, false on failure.
      */
-    function _createDestDirs($filename=null)
+    private function _createDestDirs($filename=null)
     {
 		$app =& App::getInstance();
@@ -792,32 +792,12 @@
                 }
                 if (!file_exists($dest_dir)) {
+                    // Recursively create destination directory.
                     $app->logMsg(sprintf('Creating dest dir: %s', $dest_dir), LOG_DEBUG, __FILE__, __LINE__);
-                    if (phpversion() > '5') {
-                        // Recursive.
-                        if (!file_exists($dest_dir) && !($ret = mkdir($dest_dir, $this->getParam('dest_dir_perms'), true))) {
-                            $return_val++;
-                            $app->logMsg(sprintf('mkdir failure: %s', $dest_dir), LOG_ERR, __FILE__, __LINE__);
-                        }
-                    } else {
-                        // Recursive mkdir for php 4.
-                        $path = '';
-                        $depth = 0;
-                        $ret = true;
-                        foreach (array_diff(explode('/', $dest_dir), array('')) as $dir) {
-                            $path .= '/' . $dir;
-                            $depth++;
-                            /// FIXME: This is a dirty way to make this work when open_basedir prevents looking at the first 3 directories in an absolute path.
-                            if ($depth > 3 && !($ret = file_exists($path) ? true : mkdir($path, $this->getParam('dest_dir_perms')))) {
-                                $return_val++;
-                                $app->logMsg(sprintf('mkdir failure: %s', $path), LOG_ERR, __FILE__, __LINE__);
-                                break;
-                            } else {
-                                $app->logMsg(sprintf('mkdir attempt: %s', $path), LOG_DEBUG, __FILE__, __LINE__);
-                            }
-                        }
+                    if (!file_exists($dest_dir) && !($ret = mkdir($dest_dir, $this->getParam('dest_dir_perms'), true))) {
+                        $return_val++;
+                        $app->logMsg(sprintf('mkdir failure: %s', $dest_dir), LOG_ERR, __FILE__, __LINE__);
                     }
-
                     if ($ret) {
-                        $app->logMsg(sprintf('mkdir success: %s', $dest_dir), LOG_DEBUG, __FILE__, __LINE__);                        
+                        $app->logMsg(sprintf('mkdir success: %s', $dest_dir), LOG_DEBUG, __FILE__, __LINE__);
                     }
                 } else {
@@ -844,5 +824,5 @@
      * @param string $line    __LINE__.
      */
-    function _raiseMsg($message, $type, $file, $line)
+    private function _raiseMsg($message, $type, $file, $line)
     {
 		$app =& App::getInstance();
@@ -852,5 +832,5 @@
         }
     }
-    
+
     /**
      * Get filename by glob pattern. Searches a directory for an image that matches the
@@ -864,5 +844,5 @@
      * @since   15 Nov 2005 20:55:22
      */
-    function _glob($pattern, $directory)
+    private function _glob($pattern, $directory)
     {
         $file_list = glob(sprintf('%s/%s', $directory, $pattern));
@@ -875,3 +855,2 @@
 
 } // End of class.
-?>
Index: /trunk/lib/Lock.inc.php
===================================================================
--- /trunk/lib/Lock.inc.php	(revision 467)
+++ /trunk/lib/Lock.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -31,6 +31,9 @@
 class Lock {
 
+    // A place to keep an object instance for the singleton pattern.
+    private static $instance = null;
+
     // Configuration of this object.
-    var $_params = array(
+    private $_params = array(
         'timeout' => 600,
         'auto_timeout' => 1800,
@@ -44,8 +47,8 @@
 
     // Store lock data from DB.
-    var $data = array();
+    private $data = array();
 
     // Auth_SQL object from which to access a current user_id.
-    var $_auth;
+    private $_auth;
 
     /**
@@ -56,13 +59,11 @@
      * @static
      */
-    static function &getInstance($auth_object)
-    {
-        static $instance = null;
-
-        if ($instance === null) {
-            $instance = new Lock($auth_object);
-        }
-
-        return $instance;
+    public static function &getInstance($auth_object)
+    {
+        if (self::$instance === null) {
+            self::$instance = new self($auth_object);
+        }
+
+        return self::$instance;
     }
 
@@ -72,5 +73,5 @@
      * @param mixed  $auth_object  An Auth_SQL or Auth_FILE object.
      */
-    function Lock($auth_object)
+    public function __construct($auth_object)
     {
 		$app =& App::getInstance();
@@ -95,5 +96,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -142,5 +143,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -157,8 +158,8 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
-    {
-		$app =& App::getInstance();
-    
+    public function getParam($param)
+    {
+		$app =& App::getInstance();
+
         if (isset($this->_params[$param])) {
             return $this->_params[$param];
@@ -178,5 +179,5 @@
      * @param string $title       A title to apply to the lock, for display purposes.
      */
-    function select($record_table_or_lock_id, $record_key=null, $record_val=null)
+    public function select($record_table_or_lock_id, $record_key=null, $record_val=null)
     {
 		$app =& App::getInstance();
@@ -205,5 +206,5 @@
         if ($this->data = mysql_fetch_assoc($qid)) {
             $app->logMsg(sprintf('Selecting %slocked record: %s %s %s', ($this->data['set_by_admin_id'] == $this->_auth->get('user_id') ? 'self-' : ''), $record_table_or_lock_id, $record_key, $record_val), LOG_DEBUG, __FILE__, __LINE__);
-            /// FIX ME: What if admin set lock, but public user is current lock user?
+            // FIXME: What if admin set lock, but public user is current lock user?
             $this->data['editor'] = $this->_auth->getUsername($this->data['set_by_admin_id']);
             return true;
@@ -219,5 +220,5 @@
      * @return bool            True if locked.
      */
-    function isLocked()
+    public function isLocked()
     {
         return isset($this->data['lock_id']);
@@ -230,8 +231,8 @@
      * @return bool            True if current user set the lock.
      */
-    function isMine()
-    {
-		$db =& DB::getInstance();
-	
+    public function isMine()
+    {
+		$db =& DB::getInstance();
+
         $this->initDB();
 
@@ -258,8 +259,8 @@
      * @return int            The id for the lock (mysql last insert id).
      */
-    function set($record_table, $record_key, $record_val, $title='')
-    {
-		$db =& DB::getInstance();
-	
+    public function set($record_table, $record_key, $record_val, $title='')
+    {
+		$db =& DB::getInstance();
+
         $this->initDB();
 
@@ -304,5 +305,5 @@
      * Unlock the currently selected record.
      */
-    function remove()
+    public function remove()
     {
 		$app =& App::getInstance();
@@ -326,5 +327,5 @@
      * Unlock all records, or all records for a specified user.
      */
-    function removeAll($user_id=null)
+    public function removeAll($user_id=null)
     {
 		$app =& App::getInstance();
@@ -350,8 +351,8 @@
      * Deletes all locks that are older than auto_timeout.
      */
-    function _auto_timeout()
-    {
-		$db =& DB::getInstance();
-	
+    public function _auto_timeout()
+    {
+		$db =& DB::getInstance();
+
         static $_timeout_run = false;
 
@@ -371,5 +372,5 @@
      * Redirect to record lock error page.
      */
-    function dieErrorPage()
+    public function dieErrorPage()
     {
 		$app =& App::getInstance();
@@ -381,5 +382,5 @@
      * Print error page.
      */
-    function printErrorHTML()
+    public function printErrorHTML()
     {
 		$app =& App::getInstance();
@@ -416,5 +417,5 @@
      * Return lock_id of locked record.
      */
-    function getID()
+    public function getID()
     {
         return $this->data['lock_id'];
@@ -424,5 +425,5 @@
      * Return title of locked record.
      */
-    function getTitle()
+    public function getTitle()
     {
         return $this->data['title'];
@@ -432,5 +433,5 @@
      * Return administrator username for locked record.
      */
-    function getEditor()
+    public function getEditor()
     {
         return $this->data['editor'];
@@ -440,5 +441,5 @@
      * Return total seconds since the record was locked.
      */
-    function getSecondsElapsed()
+    public function getSecondsElapsed()
     {
         if (isset($this->data['lock_datetime']) && strtotime($this->data['lock_datetime']) < time()) {
@@ -451,3 +452,2 @@
 
 } // End of class.
-?>
Index: /trunk/lib/MCVE.inc.php
===================================================================
--- /trunk/lib/MCVE.inc.php	(revision 467)
+++ /trunk/lib/MCVE.inc.php	(revision 468)
@@ -31,17 +31,17 @@
 class MCVE {
 
-    var $username;
-    var $password;
-    var $host = 'localhost';
-    var $ip_port = 8333;
-    var $ssl_port = 8444;
-    var $ca_bundle_file = '/usr/share/ssl/certs/ca-bundle.crt';
-    var $connect_method = 'ip';
-    var $timeout = 10;
-    var $blocking = 1;
-    var $connected = false;
-    var $conn;
-
-    function MCVE($username, $password)
+    public $username;
+    public $password;
+    public $host = 'localhost';
+    public $ip_port = 8333;
+    public $ssl_port = 8444;
+    public $ca_bundle_file = '/usr/share/ssl/certs/ca-bundle.crt';
+    public $connect_method = 'ip';
+    public $timeout = 10;
+    public $blocking = 1;
+    public $connected = false;
+    public $conn;
+
+    public function __construct($username, $password)
     {
 		$app =& App::getInstance();
@@ -58,5 +58,5 @@
     }
 
-    function _connect()
+    private function _connect()
     {
 		$app =& App::getInstance();
@@ -123,5 +123,5 @@
     }
 
-    function beginTrans()
+    public function beginTrans()
     {
         if (!$this->_connect()) {
@@ -134,5 +134,5 @@
     }
 
-    function transParam($tid, $key, $var1, $var2=null)
+    public function transParam($tid, $key, $var1, $var2=null)
     {
         if (!isset($var2)) {
@@ -144,5 +144,5 @@
     }
 
-    function sendTrans($tid, $type='', $hide_msg=false)
+    public function sendTrans($tid, $type='', $hide_msg=false)
     {
 		$app =& App::getInstance();
@@ -191,5 +191,5 @@
     }
 
-    function disconnect($tid)
+    public function disconnect($tid)
     {
         if ($this->connected) {
@@ -208,3 +208,2 @@
 // End of class.
 
-?>
Index: /trunk/lib/Navigation.inc.php
===================================================================
--- /trunk/lib/Navigation.inc.php	(revision 467)
+++ /trunk/lib/Navigation.inc.php	(revision 468)
@@ -37,5 +37,5 @@
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
         'head_title' => true,
         'body_title' => true,
@@ -48,10 +48,10 @@
         'last_crumb_format' => '%s',
     );
-    var $pages = array();
+    public $pages = array();
 
     /**
      * Navigation constructor.
      */
-    function Navigation($params=null)
+    public function __construct($params=null)
     {
 		$app =& App::getInstance();
@@ -74,5 +74,5 @@
      * @param   array   $vars       Additional page variables.
      */
-    function add($title, $url=null, $vars=array())
+    public function add($title, $url=null, $vars=array())
     {
         $page = array(
@@ -91,5 +91,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -110,5 +110,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -127,5 +127,5 @@
      * @access  public
      */
-    function clear()
+    public function clear()
     {
         $this->pages = array();
@@ -139,5 +139,5 @@
      * @param mixed $val      Value to set variable to.
      */
-    function set($key, $val)
+    public function set($key, $val)
     {
         // Set params of current page.
@@ -154,5 +154,5 @@
      * @return mixed          Value stored in session.
      */
-    function get($key, $default='')
+    public function get($key, $default='')
     {
         $curr_page =& $this->pages[sizeof($this->pages) - 1];
@@ -205,5 +205,5 @@
      * @return  mixed           Path (string) or false if path param is not set.
      */
-    function getPath($key='title')
+    public function getPath($key='title')
     {
         if ($this->getParam('path')) {
@@ -227,5 +227,5 @@
      * @return  string   Breadcrumbs or empty string if breadcrumbs param not set.
      */
-    function getBreadcrumbs()
+    public function getBreadcrumbs()
     {
 		$app =& App::getInstance();
@@ -279,5 +279,5 @@
      * @return  mixed   The value set for $return, TRUE by default.
      */
-    function currentPage($test_uri, $true_return=true, $false_return=false, $strip_query=false)
+    public function currentPage($test_uri, $true_return=true, $false_return=false, $strip_query=false)
     {
         $actual_uri = $strip_query ? strtok($_SERVER['REQUEST_URI'], '?') : $_SERVER['REQUEST_URI'];
@@ -291,4 +291,2 @@
 }
 // End of class.
-
-?>
Index: /trunk/lib/PEdit.inc.php
===================================================================
--- /trunk/lib/PEdit.inc.php	(revision 467)
+++ /trunk/lib/PEdit.inc.php	(revision 468)
@@ -70,5 +70,5 @@
 
     // PEdit object parameters.
-    var $_params = array(
+    private $_params = array(
         'data_dir' => '',
         'character_set' => 'utf-8',
@@ -77,9 +77,9 @@
     );
 
-    var $_data = array(); // Array to store loaded data.
-    var $_data_file = ''; // Full file path to the pedit data file.
-    var $_authorized = false; // User is authenticated to see extended functions.
-    var $_data_loaded = false;
-    var $op = '';
+    private $_data = array(); // Array to store loaded data.
+    private $_data_file = ''; // Full file path to the pedit data file.
+    private $_authorized = false; // User is authenticated to see extended functions.
+    private $_data_loaded = false;
+    public $op = '';
 
     /**
@@ -93,5 +93,5 @@
      * @param optional array $params  A hash containing connection parameters.
      */
-    function PEdit($params)
+    public function __construct($params)
     {
         $this->setParam($params);
@@ -121,5 +121,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -140,5 +140,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -159,5 +159,5 @@
     * @since    12 Apr 2006 12:43:47
     */
-    function start($initialize_data_file=false)
+    public function start($initialize_data_file=false)
     {
 		$app =& App::getInstance();
@@ -217,5 +217,5 @@
      * @param array     $options         Additional options to store with this data.
      */
-    function set($name, $options=array())
+    public function set($name, $options=array())
     {
 		$app =& App::getInstance();
@@ -236,5 +236,5 @@
      * @return string        The trimmed content of the named data.
      */
-    function get($name)
+    public function get($name)
     {
         $name = preg_replace('/\s/', '_', $name);
@@ -251,5 +251,5 @@
      * @return bool  False if unauthorized or current page is a version.
      */
-    function formBegin()
+    public function formBegin()
     {
 		$app =& App::getInstance();
@@ -288,5 +288,5 @@
      * @access public
      */
-    function printAllForms()
+    public function printAllForms()
     {
         if ($this->_authorized && $this->op == 'Edit' && is_array($this->_data) && $this->_data_loaded) {
@@ -305,5 +305,5 @@
      * @param string $type      Type of form to print. Currently only 'text' and 'textarea' supported.
      */
-    function printForm($name, $type='text')
+    public function printForm($name, $type='text')
     {
         if ($this->_authorized && $this->op == 'Edit' && $this->_data_loaded) {
@@ -345,5 +345,5 @@
      * @return bool  False if unauthorized or current page is a version.
      */
-    function formEnd()
+    public function formEnd()
     {
         if (!$this->_authorized || empty($this->_data)) {
@@ -399,5 +399,5 @@
      * @access public
      */
-    function printVersions()
+    public function printVersions()
     {
 		$app =& App::getInstance();
@@ -442,5 +442,5 @@
     * @since    12 Apr 2006 10:52:35
     */
-    function _fileHash()
+    private function _fileHash()
     {
 		$app =& App::getInstance();
@@ -457,5 +457,5 @@
     * @since    11 Apr 2006 20:36:26
     */
-    function _loadDataFile()
+    private function _loadDataFile()
     {
 		$app =& App::getInstance();
@@ -496,5 +496,5 @@
     * @since    11 Apr 2006 20:53:42
     */
-    function _initializeDataFile()
+    private function _initializeDataFile()
     {
 		$app =& App::getInstance();
@@ -512,5 +512,5 @@
      * @return bool  False if unauthorized or on failure. True on success.
      */
-    function _writeData()
+    private function _writeData()
     {
 		$app =& App::getInstance();
@@ -560,5 +560,5 @@
     * @since    11 Apr 2006 22:48:30
     */
-    function _filePutContents($filename, $content)
+    private function _filePutContents($filename, $content)
     {
 		$app =& App::getInstance();
@@ -610,5 +610,5 @@
      * @return bool  False on failure. True on success.
      */
-    function _createVersion()
+    private function _createVersion()
     {
 		$app =& App::getInstance();
@@ -648,5 +648,5 @@
     * @since    12 Apr 2006 11:08:11
     */
-    function _deleteOldVersions()
+    private function _deleteOldVersions()
     {
 		$app =& App::getInstance();
@@ -676,5 +676,5 @@
      * @return array  Array of versions.
      */
-    function _getVersions()
+    private function _getVersions()
     {
         $version_files = array();
@@ -707,5 +707,5 @@
      * @return bool  False on failure. True on success.
      */
-    function _restoreVersion($version)
+    private function _restoreVersion($version)
     {
 		$app =& App::getInstance();
@@ -742,4 +742,2 @@
 
 } // End class.
-
-?>
